<?php

namespace App\Http\Controllers;
use App\Models\Feature;
use App\Models\Subscription;
use App\Models\Project;
use Illuminate\Http\Request;

class LandingPageController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $projects = Project::all();
        $project = Project::query();
        $locations = $project->select('location')->where('status', 'completed')->get()->unique('location');
        $types = $project->select('type')->where('status', 'completed')->get()->unique('type');
        return view('welcome', compact('projects', 'locations', 'types'));
    }

    
    public function projectDetails($id)
    {
        $project = Project::findOrFail($id);
        $features = Feature::where('status', true)->get()->pluck('name', 'description')->toArray();
        //$singleProjectFeature = Feature::where('status', true)->get();
        $projects = explode(",", $project->features);
        $test = array_intersect($projects, $features);
        $feature = Feature::whereIn('name', $test)->get(); //->pluck('name', 'description')->toArray();
        //dd($features2); 

        $locations = $project->select('location')->where('status', 'completed')->get()->unique('location');
        $types = $project->select('type')->where('status', 'completed')->get()->unique('type');

        $subscriptionStatus = Subscription::where('user_id', auth()->user()->id)->where('projectID', $id)->first();
        return view('projects.property-details', compact('project', 'feature', 'types', 'locations', 'subscriptionStatus'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function allProject()
    {
        $project =  Project::query();
        $location = $project->select('location')->where('status', 'completed')->get()->unique('location');
        $type = $project->select('type')->where('status', 'completed')->get()->unique('type');
        //dd($type);
        $projects = Project::all();
        return view('projects.index', compact('type', 'location', 'projects'));
    }

    public function searchProject(Request $request)
    {
        $project =  Project::query();
        $locations = $project->select('location')->where('status', 'completed')->get()->unique('location');
        $types = $project->select('type')->where('status', 'completed')->get()->unique('type');
        $location = $request->location;
        $type = $request->type;
        $status = $request->status;
        $projects = Project::all();
        $search = Project::where('location', $location)
                          ->orWhere('type', $type)
                          ->orWhere('status', $status)->get();
        $result = $search->where('privacy_status', TRUE);
        //dd($result);                
        if ($result->isEmpty()) {
            return redirect()->route('projects')->with('error', 'No property found!');
        }
        return view('projects.search-result', compact('result', 'types', 'locations', 'projects'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
