<?php
namespace App\Repositories;

use App\Repositories\Interfaces\UserDashboardRepositoryInterface;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use File;
use Illuminate\Http\Request;
use App\Rules\MatchOldPassword;
use Illuminate\Support\Facades\Hash;
//use Illuminate\Support\Redirect;
use App\Models\User;

class UserDashboardRepository implements UserDashboardRepositoryInterface { 
    public function index(){
        $user = auth()->user();
        return ['user' => $user];
    }

    public function profile(){
        $user = auth()->user();
        return ['user' => $user];
    }

    public function profileUpdate(Request $request){
        
        $user = auth()->user();
        $user->update([
            'first_name'      => $request->input('first_name'),
            'last_name'       => $request->input('last_name'),
            'phone'           => $request->input('phone'),
            'email'           => $request->input('email'),
        ]);
        return back()->with('success', 'Profile updated successfully'); // ['message' => 'edited successfully'];
    }

    public function passwordUpdate(Request $request){
        
        $request->validate([
            'current_password' => ['required', new MatchOldPassword],
            'new_password' => ['required'],
            'new_confirm_password' => ['same:new_password'],
        ]);

        // $validator = Validator::make($request->all(), [
        //     'current_password' => ['required', 'min:8', new MatchOldPassword],
        //     'new_password' => ['required', 'min:8'],
        //     'new_confirm_password' => ['same:new_password'],
        // ]);
        
        //     if ($validator->fails()) {
        //         return redirect()->back()->withErrors($validator);
        //     }

        User::find(auth()->user()->id)->update(['password'=> Hash::make($request->new_password)]);
   
        return  back()->with('success','Password changed successfully!');
    }
}