<?php

namespace App\Http\Controllers;
use App\Models\Project;
use App\Models\User;
use App\Models\Subscription;
use Illuminate\Http\Request;

class AdminDashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $projects = Project::all();
        $users = User::query();
        $subscribers = Subscription::query();
        $pending_subscribers = $subscribers->where('status', FALSE)->get();
        $all_subscribers = $subscribers->get();
        // dd($$projects->subscribers);
        return view('admin.index', compact('projects', 'users', 'subscribers', 'pending_subscribers','all_subscribers'));
    }

    public function projects()
    {
        return view('admin.projects.index');
    }

    // public function createProject()
    // {
    //     return view('admin.projects.create');
    // }
    // public function projectDetails()
    // {
    //     return view('admin.projects.preview');
    // }

    // public function projectFeatures()
    // {
    //     return view('admin.projects.features');
    // }

    public function createFeatures()
    {
        return view('admin.projects.create-features');
    }

    public function userMgt()
    {
        $users = User::all();
        $subscribers = Subscription::query();
        $confirmed = $subscribers->get();
        $pending = $subscribers->where('status', FALSE)->get();
        return view('admin.user-mgt.index', compact('confirmed', 'pending', 'users'));
    }

    public function adminProfile()
    {
        $user = auth()->user();
        return view('admin.profile', ['user' => $user]);
    }

    public function userProfile($id)
    {
        $getUser = User::findOrFail($id);
        return view('admin.user-mgt.profile', compact('getUser'));
    }

    public function message()
    {
        return view('admin.msg.index');
    }

    public function composeEmail()
    {
        return view('admin.msg.compose-email');
    }
    /**
   
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
