<?php

namespace App\Http\Controllers;

use App\Models\Subscription;
use App\Models\Project;
use Illuminate\Http\Request;

class SubscriptionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function verify(Request $request, $id)
    {
        //dd($id);
        $request->validate([
            'status' => 'required'
        ]);
        $subscriber = Subscription::findOrFail($id);
        $subscriber->status = $request->input('status');
        $subscriber->save();
        return back()->with('success', 'You have successfully updated '.$subscriber->user->first_name.' '.$subscriber->user->last_name.' subscription on '.$subscriber->project->name.' project.');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
           'projectID' => 'required'
        ]);

        Subscription::create([
            'user_id' => auth()->user()->id,
            'projectID' => $request->projectID
        ]);
        return back()->with('success', 'You have successfully subscribed to a project. We will contact you shortly.');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function subscribers($projectID)
    {
        $project = Project::findOrFail($projectID);
        $subscribers = Subscription::where('projectID', $projectID)->get();
        return view('admin.user-mgt.subscribers', compact('project','subscribers'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function edit(Subscription $subscription)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Subscription $subscription)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function destroy(Subscription $subscription)
    {
        //
    }
}
