<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\UserDashboardRepository;
use App\Http\Controllers\Controller;
use App\Models\Project;
class UserDashboardController extends Controller
{
   
    private $dashboard;

    public function __construct(UserDashboardRepository $dashboard)
    {
        $this->dashboard = $dashboard;
    }

    public function index()
    {
        $user = $this->dashboard->index();
        $projects = Project::all();
        $project = Project::query();
        $locations = $project->select('location')->where('status', 'completed')->get()->unique('location');
        $types = $project->select('type')->where('status', 'completed')->get()->unique('type');
        //dd(auth()->user()->subscriptions->count());
        return view('dashboard.index',$user, compact('types', 'locations', 'projects'));
    }

    public function profile()
    {
        $user = $this->dashboard->profile();
        return view('dashboard.profile', $user);
    }

    public function profileUpdate(Request $request)
    {
        $user = $this->dashboard->profileUpdate($request);
        return back();
    }

    public function passwordUpdate(Request $request)
    {
        
        $user = $this->dashboard->passwordUpdate($request);
        return back();
        //return back()->with('success', "Something isn't right"); qwertyui
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
