<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\UsesUuid;
class Project extends Model
{
    use HasFactory, UsesUuid;

    protected $guarded = [];
    protected $primaryKey = 'projectID'; 
    public $incrementing = false;
    protected $keyType = 'string';

    public function images()
    {
        return $this->hasMany(ProjectImage::class, 'project_id', 'projectID');
    }

    public function firstImage()
    {
        return $this->hasOne(ProjectImage::class, 'project_id', 'projectID');
    }

    public function subscribers()
    {
        return $this->hasMany(Subscription::class, 'projectID', 'projectID');
    }
    public function subscriberCount($id)
    {
        $subscriber = Subscription::where('projectID', $id)->where('status', TRUE)->count();
        return $subscriber;
    }

}
