<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('projects', function (Blueprint $table) {
            $table->id();
            $table->uuid('projectID');
            $table->string('name');
            $table->text('description');
            $table->string('location');
            $table->string('type');
            $table->string('prop_id');
            $table->date('start_date');
            $table->date('end_date');
            $table->string('status');
            $table->boolean('sold_out');
            $table->string('bedrooms');
            $table->string('bathrooms');
            $table->string('price');
            $table->string('subscription_fee');
            $table->string('fee_breakdown');
            $table->string('fee_breakdown_period');
            $table->string('features');
            $table->string('video_url');
            $table->boolean('privacy_status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('projects');
    }
}
