<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Route::get('about', function () {
    return view('about');
})->name('about');

Route::get('property-management-company-services', function () {
    return view('property-management-company-services');
})->name('services');


Route::get('404', function () {
    return view('404');
})->name('404');


// Route::get('property-details', function () {
//     return view('projects.property-details');
// })->name('project.details');

Route::get('contact-us', function () {
    return view('contact-us');
})->name('contact');

//user dashboard
// Route::get('dashboard', function () {
//     return view('dashboard.index');
// })->name('dashboard');

// Route::get('dashbaord/profile', function () {
//     return view('dashboard.profile');
// })->name('user.profile');

Route::get('dashbaord/messages', function () {
    return view('dashboard.messages');
})->name('user.messages');

Route::get('dashbaord/messages/new-message', function () {
    return view('dashboard.new-message');
})->name('message.new');

Auth::routes(['verify' => true]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/', [App\Http\Controllers\LandingPageController::class, 'index'])->name('welcome');

Route::get('all-projects', [App\Http\Controllers\LandingPageController::class, 'allProject'])->name('projects');
Route::get('search/all-projects', [App\Http\Controllers\LandingPageController::class, 'searchProject'])->name('search.project');

Route::post('subscribe', [App\Http\Controllers\SubscriptionController::class, 'store'])->name('subscribe');

Route::get('project-details/{id}', [App\Http\Controllers\LandingPageController::class, 'projectDetails'])->name('project.details');

Route::group([ 'prefix' => 'dashboard', 'middleware' => ['auth', 'verified']], function () {
    Route::get('/', [App\Http\Controllers\UserDashboardController::class, 'index'])->name('dashboard');
    Route::get('/profile', [App\Http\Controllers\UserDashboardController::class, 'profile'])->name('user.profile');
    Route::get('/profile/personal-details', [App\Http\Controllers\UserDashboardController::class, 'profileUpdate'])->name('user.update.profile');

    Route::get('/profile/password', [App\Http\Controllers\UserDashboardController::class, 'passwordUpdate'])->name('user.update.password');
});

//admin
Route::group([ 'prefix' => 'admin', 'middleware' => ['auth', 'verified', 'isAdmin']], function () {
    Route::get('/', [App\Http\Controllers\AdminDashboardController::class, 'index'])->name('admin.index');
    Route::get('/projects', [App\Http\Controllers\ProjectController::class, 'index'])->name('admin.projects');
    Route::get('/project/create', [App\Http\Controllers\ProjectController::class, 'create'])->name('create.project');
    Route::post('/project/save', [App\Http\Controllers\ProjectController::class, 'store'])->name('save.project');
    //update project
    Route::get('/project/update/{id}', [App\Http\Controllers\ProjectController::class, 'edit'])->name('edit.project');
    Route::post('/project/update/{id}', [App\Http\Controllers\ProjectController::class, 'update'])->name('update.project');
    Route::post('/project/updateImage/', [App\Http\Controllers\ProjectController::class, 'updateProjectImage'])->name('update.project.image');
    Route::get('project/details/{projectID}', [App\Http\Controllers\ProjectController::class, 'preview'])->name('admin.project.details');

    Route::post('/projects/subscription/{id}/verify', [App\Http\Controllers\SubscriptionController::class, 'verify'])->name('verify.subscription');

    Route::get('/project/features', [App\Http\Controllers\FeatureController::class, 'index'])->name('project.features');
    Route::post('/project/features', [App\Http\Controllers\FeatureController::class, 'store'])->name('store.feature');
    // Route::get('/project/features/ceate', [App\Http\Controllers\AdminDashboardController::class, 'createFeatures'])->name('create.features');


    Route::get('/user-mgt', [App\Http\Controllers\AdminDashboardController::class, 'userMgt'])->name('admin.user-mgt');
    Route::get('/profile', [App\Http\Controllers\AdminDashboardController::class, 'adminProfile'])->name('admin.profile');
    Route::get('/user-mgt/profile/{id}', [App\Http\Controllers\AdminDashboardController::class, 'userProfile'])->name('admin.user-mgt.profile');
    
    // Route::get('/user-mgt/subscribers', [App\Http\Controllers\AdminDashboardController::class, 'subscribers'])->name('admin.user-mgt.subscribers');
    
    Route::get('project/user-mgt/subscribers/{projectID}', [App\Http\Controllers\SubscriptionController::class, 'subscribers'])->name('admin.user-mgt.subscribers');

    Route::get('/msg', [App\Http\Controllers\AdminDashboardController::class, 'message'])->name('admin.msg');
    Route::get('/msg/compose-email', [App\Http\Controllers\AdminDashboardController::class, 'composeEmail'])->name('admin.msg.email');
    
});

