<!DOCTYPE html>
<html lang="en">
    <head>

        <meta charset="utf-8" />
        <title>Kenshol Properties Admin Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin dashboard to manage all Kenshol Properties projects" />
        <meta content="Sarge Clan" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="{{asset('assets/img/favicon.png')}}">
         <link href="{{asset('assets/libs/mohithg-switchery/switchery.min.css')}}" rel="stylesheet" type="text/css" />
        <link href="{{asset('assets/libs/multiselect/css/multi-select.css')}}" rel="stylesheet" type="text/css" />
        <link href="{{asset('assets/libs/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css" />
        <link href="{{asset('assets/libs/selectize/css/selectize.bootstrap3.css')}}" rel="stylesheet" type="text/css" />
        <link href="{{asset('assets/libs/bootstrap-select/css/bootstrap-select.min.css')}}" rel="stylesheet" type="text/css" />
        <link href="{{asset('assets/libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.css')}}" rel="stylesheet" type="text/css" />

        <!-- App css -->
        <link href="{{asset('assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
        <link href="{{asset('assets/css/app.min.css')}}" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
        <link href="{{asset('assets/libs/dropzone/min/dropzone.min.css')}}" rel="stylesheet" type="text/css" />
        <link href="{{asset('assets/libs/dropify/css/dropify.min.css')}}" rel="stylesheet" type="text/css" />

        <link href="{{asset('assets/css/bootstrap-dark.min.css')}}" rel="stylesheet" type="text/css" id="bs-dark-stylesheet" />
        <link href="{{asset('assets/css/app-dark.min.css')}}" rel="stylesheet" type="text/css" id="app-dark-stylesheet" />
        <link href="{{asset('assets/css/style.css')}}" rel="stylesheet" type="text/css"/>
        <!-- icons -->
        <link href="{{asset('assets/css/icons.min.css')}}" rel="stylesheet" type="text/css" />

    </head>

    <body class="loading">

        <!-- Begin page -->
        <div id="wrapper">

            @include('layouts.admin_asset.nav')

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">

                    <!-- Start Content-->
                    <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <!-- <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">UBold</a></li>
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Apps</a></li>
                                            <li class="breadcrumb-item active">Projects</li>
                                        </ol> -->
                                    </div>
                                    <h4 class="page-title">Add New Project / Edit [Project name] </h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        {{-- @if(session()->has('success'))
							<div class="alert alert-solid alert-success" role="alert">
								<button type="button" class="close" data-dismiss="alert" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								  </button>
								{{ session()->get('success') }}
							</div>
						@endif --}}

                        @if(session()->has('success'))
                         <div class="row">
                            <div class="col-12">
                                <div class="alert alert-success" role="alert">
                                  {{-- Oops! Something went wrong. Please try again.  --}}
                                  {{ session()->get('success') }}
                                </div>
                            </div>
                        </div>
                        @endif
                     <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <form action="{{route('save.project')}}" method="POST" enctype="multipart/form-data">
                                            @csrf
                                            <div class="row">
                                            
                                                <div class="col-xl-12">
                                                    <div class="form-group">
                                                        <label for="projectname">Project Name</label>
                                                        <input type="text" id="projectname" class="form-control @error('name') is-invalid @enderror" name="name" placeholder="Enter project name" value="{{ old('name') }}">
                                                        @error('name')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="project-overview">Project Overview</label>
                                                        <textarea class="form-control @error('description') is-invalid @enderror" name="description" id="project-overview" rows="5" placeholder="Enter some brief about project..">{{ old('description') }}</textarea>
                                                        @error('description')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="projectname">Project Location</label>
                                                        <input type="text" name="location" id="projectname" class="form-control @error('location') is-invalid @enderror" placeholder="Enter project Location" value="{{ old('location') }}">
                                                        @error('location')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Property Type</label>
                                                                <select class="form-control @error('type') is-invalid @enderror" data-toggle="select2" name="type">
                                                                    <option value="Bungalow">Bungalow</option>
                                                                    <option value="Duplex">Duplex</option>
                                                                    <option value="Terrace">Terrace</option>

                                                                </select>
                                                                @error('type')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong style="color: red;">{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Property ID</label>
                                                                <input type="text" name="prop_id" class="form-control @error('prop_id') is-invalid @enderror" data-toggle="flatpicker" placeholder="">
                                                                @error('prod_id')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Start Date</label>
                                                                <input type="date" name="start_date" class="form-control @error('start_date') is-invalid @enderror" data-toggle="flatpicker" placeholder="October 9, 2019" value="{{ old('start_date') }}">
                                                                @error('start_date')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Due Date</label>
                                                                <input type="date" name="end_date" class="form-control @error('end_date') is-invalid @enderror" data-toggle="flatpicker" placeholder="March 9, 2020" value="{{ old('end_date') }}">
                                                                @error('end_date')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Project Status</label>
                                                                <select class="form-control @error('status') is-invalid @enderror" data-toggle="select2" name="status">
                                                                    <option>Under Construction</option>
                                                                    <option>Completed</option>
                                                                </select>
                                                                @error('status')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Sold Out?</label> <br/>
                                                                <div class="custom-control custom-radio custom-control-inline">
                                                                    <input type="radio" name="sold_out" id="customRadio1"  class="custom-control-input" value="1">
                                                                    <label class="custom-control-label" for="customRadio1">Yes</label>
                                                                </div>
                                                                <div class="custom-control custom-radio custom-control-inline">
                                                                    <input type="radio" name="sold_out" id="customRadio2"  class="custom-control-input" value="0">
                                                                    <label class="custom-control-label" for="customRadio2">No</label>
                                                                </div>
                                                                @error('sold_out')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Number of bedrooms</label>
                                                                <input type="number" name="bedrooms" class="form-control @error('bedrooms') is-invalid @enderror" data-toggle="" placeholder="" required value="{{ old('bedrooms') }}">
                                                                @error('bedrooms')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Number of bathrooms</label>
                                                                <input type="number" name="bathrooms" class="form-control @error('bathrooms') is-invalid @enderror" data-toggle="" placeholder="" value="{{ old('bathrooms') }}" required>
                                                                @error('bathrooms')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Price</label>
                                                                <input type="number" name="price" class="form-control @error('price') is-invalid @enderror" data-toggle="" placeholder="" required value="{{ old('price') }}">
                                                                @error('price')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Subscription Fee</label>
                                                                <input type="number" name="subscription_fee" class="form-control @error('subscription_fee') is-invalid @enderror" data-toggle="" placeholder="" required value="{{ old('subscription_fee') }}">
                                                                @error('subscription_fee')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Fee Breakdown</label>
                                                                <input type="number" name="fee_breakdown" class="form-control @error('fee_breakdown') is-invalid @enderror" data-toggle="" placeholder="input how much subscribers are to pay per time" required value="{{ old('fee_breakdown') }}">
                                                                @error('fee_breakdown')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <!-- Date View -->
                                                            <div class="form-group">
                                                                <label>Time Breakdown</label>
                                                                <input type="number" name="fee_breakdown_period" class="form-control @error('fee_breakdown_period') is-invalid @enderror" data-toggle="" placeholder="input what timeframe subscribers are to update payment" required value="{{ old('fee_breakdown_period') }}">
                                                            </div>
                                                            @error('fee_breakdown_period')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <label>Project Features</label>
                                                        <select class="form-control select2-multiple @error('features') is-invalid @enderror" data-toggle="select2" multiple="multiple" data-placeholder="Search and select a user or project group" name="features[]">
                                                        
                                                            <optgroup label="All Features">
                                                                @foreach ($features as $feature)
                                                                <option value="{{$feature->name}}">{{$feature->description}}</option>
                                                                @endforeach
                                                            </optgroup>
                                                        
                                                    </select>
                                                    @error('features')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                    </div>
                                                </div> <!-- end col-->

                                                
                                                    <div class="col-xl-12">
                                                        <div class="form-group mt-3 mt-xl-0">
                                                            <label for="projectname" class="mb-0">Project Images</label>
                                                            <p class="text-muted font-14">Recommended file size: 1MB.</p>
                                                                {{-- <div  class="dropzone @error('images') is-invalid @enderror" id="myAwesomeDropzone" data-plugin="dropzone" data-previews-container="#file-previews"
                                                                    data-upload-preview-template="#uploadPreviewTemplate">
                                                                    <div class="fallback">
                                                                        <input type="file" name="images[]" type="file" multiple />
                                                                    </div>

                                                                    <div class="dz-message needsclick">
                                                                        <i class="h1 text-muted dripicons-cloud-upload"></i>
                                                                        <h3>Drop files here or click to upload.</h3>
                                                                        
                                                                    </div>
                                                                </div> --}}

                                                                <!-- Preview -->
                                                                {{-- <div class="dropzone-previews mt-3" id="file-previews"></div>   --}}

                                                            {{-- </div>  --}}
                                                            <!-- end card-body-->
                                                            
                                                            <input id="file-input" type="file" name="images[]" multiple>
                                                            <div id="preview"></div> 
                                                    </div><!-- end col -->
                                            

                                                    <div class="col-xl-12">
                                                        <!-- Date View -->
                                                        <div class="form-group">
                                                            <label>Enter Vidoe Url</label>
                                                            <input type="text" name="video_url" class="form-control @error('video_url') is-invalid @enderror" data-toggle="" placeholder="input vidoe url" value="{{ old('video_url') }}" formnovalidate="formnovalidate">
                                                        </div>
                                                        @error('video_url')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                    </div>

                                    <div class="col-xl-12">
                                                <!-- Date View -->
                                                <div class="form-group">
                                                    <label>Privacy</label>
                                                    <select class="form-control @error('privacy_status') is-invalid @enderror" data-toggle="select2" name="privacy_status">
                                                        <option value="0">Unpublish</option>
                                                        <option value="1">Publish</option>

                                                    </select>
                                                    @error('privacy_status')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong style="color: red;">{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            
                                                    </div>
                                            <!-- end row -->


                                            <div class="row mt-3">
                                                <div class="col-12 text-center">
                                                    <button type="submit" class="btn btn-blue waves-effect waves-light m-1"><i class="fe-check-circle mr-1"></i> Create</button>
                                                    
                                                </div>
                                            </div>
                                        </form>
                                    </div> <!-- end card-body -->
                                </div> <!-- end card-->
                            </div> <!-- end col-->
                        </div>
                        <!-- end row-->
                        
                    </div> <!-- container -->

                </div> <!-- content -->

                @include('layouts.admin_asset.footer')

        <!-- third party js -->
        <script src="{{asset('assets/libs/datatables.net/js/jquery.dataTables.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js')}}"></script>

        <script src="{{asset('assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.flash.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-keytable/js/dataTables.keyTable.min.js')}}"></script>
        <script src="{{asset('assets/libs/datatables.net-select/js/dataTables.select.min.js')}}"></script>
        <script src="{{asset('assets/libs/pdfmake/build/pdfmake.min.js')}}"></script>
        <script src="{{asset('assets/libs/pdfmake/build/vfs_fonts.js')}}"></script>

        <script src="{{asset('assets/libs/selectize/js/standalone/selectize.min.js')}}"></script>
        <script src="{{asset('assets/libs/mohithg-switchery/switchery.min.js')}}"></script>
        <script src="{{asset('assets/libs/multiselect/js/jquery.multi-select.js')}}"></script>
        <script src="{{asset('assets/libs/select2/js/select2.min.js')}}"></script>
        <script src="{{asset('assets/libs/jquery-mockjax/jquery.mockjax.min.js')}}"></script>
        <script src="{{asset('assets/libs/devbridge-autocomplete/jquery.autocomplete.min.js')}}"></script>
        <script src="{{asset('assets/libs/bootstrap-select/js/bootstrap-select.min.js')}}"></script>
        <script src="{{asset('assets/libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js')}}"></script>
        <script src="{{asset('assets/libs/bootstrap-maxlength/bootstrap-maxlength.min.js')}}"></script>
        <!-- third party js ends -->

        <!-- Datatables init -->
        <script src="{{asset('assets/js/pages/datatables.init.js')}}"></script>
        <!-- third party js ends -->

        <!-- App js-->
        {{-- <script src="{{asset('assets/js/app.min.js')}}"></script> --}}
         <!-- Init js-->
        <script src="{{asset('assets/js/pages/form-advanced.init.js')}}"></script>

          <!--Summernote js-->
        <script src="{{asset('assets/libs/summernote/summernote-bs4.min.js')}}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/dropzone.js"></script>
        <script>
            jQuery(document).ready(function(){
                $('.summernote').summernote({
                    height: 230,                 // set editor height
                    minHeight: null,             // set minimum height of editor
                    maxHeight: null,             // set maximum height of editor
                    focus: false                 // set focus to editable area after initializing summernote
                });
            });

            function previewImages() {

var preview = document.querySelector('#preview');

if (this.files) {
  [].forEach.call(this.files, readAndPreview);
}

function readAndPreview(file) {

  // Make sure `file.name` matches our extensions criteria
  if (!/\.(jpe?g|png|gif)$/i.test(file.name)) {
    return alert(file.name + " is not an image");
  } // else...
  
  var reader = new FileReader();
  
  reader.addEventListener("load", function() {
    var image = new Image();
    image.height = 100;
    image.title  = file.name;
    image.src    = this.result;
    preview.appendChild(image);
  });
  
  reader.readAsDataURL(file);
  
}

}

document.querySelector('#file-input').addEventListener("change", previewImages);
            
        </script>
        
    </body>
</html>