<!DOCTYPE html>
<html lang="en">

    @include('layouts.header')
<body data-ng-app="">
    @include('layouts.nav')
			<!--TOP SECTION-->
		<div class="inn-banner">
			<div class="container">
				<div class="row">
					<h4>{{$project->name}}</h4>
					
					<p> </p>
					<ul>
						<li><a href="{{route('welcome')}}">Home</a>
						</li>
						<li><a href="{{route('projects')}}">All Projects</a>
						</li>
						<li><a href="#">{{$project->name}}</a>
						</li>
					</ul>
				</div>
			</div>
		</div>

		<!--CHECK AVAILABILITY FORM-->
		<div class="check-available">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="inn-com-form">
							<form class="col s12" action="{{route('search.project')}}" method="get">
								@csrf
								<!--<div class="row">
									<div class="col s12 avail-title">
										<h4>Find Your Dream Home</h4> 
									</div>
								</div>-->
								<div class="row">
									<div class="input-field col s12 m4 l3">
										
										<select name="type">
											<option disabled selected>Project type</option>
											@foreach ($types as $item)
											<option value="{{$item->type}}">{{$item->type}}</option>
											@endforeach
										</select>
									</div>
									<div class="input-field col s12 m4 l3">
										<select name="location">
											<option disabled selected>Location</option>
											@foreach ($locations as $item)
											<option value="{{$item->location}}">{{$item->location}}</option>
											@endforeach
										</select>
									</div>
									<div class="input-field col s12 m4 l3">
										<select name="status">
											<option disabled selected>Project staus</option>
											<option value="Under construction">Under construction</option>
											<option value="Completed">Completed</option>
										</select>
									</div>
									
									<div class="input-field col s12 m4 l3">
										<input type="submit" value="search" class="form-btn"> </div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!--END CHECK AVAILABILITY FORM-->
		

		<!--TOP SECTION-->
		<div class="inn-body-section pad-bot-70">
			<div class="container">
				<div class="row">
					
					@if(session()->has('success'))
					<div class="alert alert-success"> 
						<strong>Success!</strong> {{ session()->get('success') }}
					</div>
				   @endif
					{{-- <div class="alert alert-danger"> <strong>Oops!</strong> Something went wrong, please try again.</div> --}}
					<div class="col l6 m6 s12">
						<div class="property-detail">

							<div class="p2-complete p2-complete-1">{{$project->status}}</div>
							<h1>{{$project->name}}</h1>
							<h4>{{$project->location}}, Nigeria</h4>
							<p>{{$project->description}}</p>
						</div>
					</div>
					<div class="col l1 m1 s12">
					</div>
					<div class="col l5 m5 s12">
						<div class="property-detail-card">
							<div class="text-center">
								<p>Total Price</p>
								<h1>&#x20A6;{{number_format($project->price, 0, '.', ',')}}</h1>
								@if (auth()->check() == TRUE)
								<form action="{{route('subscribe')}}" method="post">
									@csrf
									<input type="hidden" name="projectID" value="{{$project->projectID}}" id="">
									@if ($subscriptionStatus == null)
									<button type="submit" class="property-detail-btn">
										Subscribe to Project
									</button>
									@else
									<button disabled class="property-detail-btn">
										You are already subscribed to this project.
									</button>
									@endif
								
							</form>
								@else
								<a href="/login" class="property-detail-btn">
									Login to Subscribe to Project
								</a>
								@endif
								
							</div>
						</div>
						<div class="property-detail-card">
							<div class="property-payment">
								<h3>Payment Plan</h3>
								<hr>
								<ul>
									<li>1st Intalment: &nbsp; &nbsp; &nbsp; &nbsp; &#x20A6; {{$project->fee_breakdown}} </li>
									<hr>
									<li>2nd Intalment: &nbsp; &nbsp; &nbsp; &nbsp; &#x20A6; {{$project->fee_breakdown}} </li>
									<hr>
									<li>3rd Intalment: &nbsp; &nbsp; &nbsp; &nbsp; &#x20A6;{{$project->fee_breakdown}} </li>
								</ul>

							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="inn-body-section pad-bot-70">
			<div class="container">
				<div class="row">
					<div class="col l12 m12 s12">
						<div class="property-overview row">
							<h3>Property Overview</h3>
							<hr>
							<div class="col s12 l6 m6">
								<ul>
								 	<li>Property ID: {{$project->prop_id}}</li>
									<hr>
									<li>Client: </li>
									<hr>
									<li>Property Size: </li>
									<hr>
									<li>Price: {{number_format($project->price, 0, '.', ',')}}</li>
									<hr>
									<li>Property Type: {{$project->type}}</li>
									
								</ul>
							</div>
							<div class="col s12 l6 m6">
								<ul>
									<li>Bedrooms: {{$project->bedrooms}}</li>
									<hr>
									<li>Bathrooms: {{$project->bathrooms}}</li>
									<hr>
									<li>Location: {{$project->location}}</li>
									<hr>
									<li>Year Built: {{$project->end_date}}</li>
									
									<hr>
									<li>Status: <div class="p2-incomplete p3-complete-1">{{$project->status}}</div></li>
									
									
								</ul>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>
<div class="inn-body-section pad-bot-70">
	<div class="container">
		<div class="row">
			<div class="hp-section">
					<div class="hp-sub-tit">
						<h3><span>Photo Gallery</span></h3>
						<p>Here are images of what your home will look like</p>
					</div>
					

					<div class="">
						<div class="h-gal">
							<ul>
								@foreach ($project->images as $image)
								<li><img class="materialboxed" data-caption="Hotel Captions" 
									src="{{asset('project_images/'.$image->path)}}" alt="">
								</li>
								@endforeach
								
							</ul>
						</div>
					</div>
				</div>
		</div>
	</div>
</div>
		
		<div class="inn-body-section pad-bot-70">
			<div class="container">
				<div class="property-overview property-features row">
						<div class="hp-section">
								
									<h3>Property Features</h3>
									{{-- @foreach ($singleProjectFeature as $item)
										{{$item->name}} {{$item->description}}
									@endforeach --}}
								<div class="row">
									{{-- @php $test = explode(",", $project->features) @endphp --}}
								{{-- @foreach ($singleProjectFeature as $proj) --}}
									@foreach ($feature as $item)
										<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/'.$item->name.'.svg')}}" alt=""> 
											
											<p>{{$item->description}}</p>
											
										</div>
									</div>
									@endforeach
								{{-- @endforeach --}}
									{{-- <div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/water.svg')}}" alt=""> 
											<p>24 hours water</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/power.svg')}}" alt=""> 
											<p>24 hours power</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/dstv.svg')}}" alt=""> 
											<p>Entertainment (DSTV)</p>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/security.svg')}}" alt=""> 
											<p>24 hours security</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/interior.svg')}}" alt=""> 
											<p>State of the art <br/>interior finishing</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/gate.svg')}}" alt=""> 
											<p>Remote controlled <br/>access gates</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/foundation.svg')}}" alt=""> 
											<p>Quality material <br/>structural finishing</p>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/outline.svg')}}" alt=""> 
											<p>Well mapped <br/>out layout</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/env.svg')}}" alt=""> 
											<p>Serene neighbourhood</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/kitchen.svg')}}" alt=""> 
											<p>Fully fitted <br/>kitchen </p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/cctv.svg')}}" alt=""> 
											<p>External CCTV <br/>within the entire estate</p>
										</div>
									</div>
								</div> --}}
								{{-- <div class="row">
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/park.svg')}}" alt=""> 
											<p>Recreational facility</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/gym.svg')}}" alt=""> 
											<p>Gym</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/pool.svg')}}" alt=""> 
											<p>Swimming pool</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/bed.svg')}}" alt=""> 
											<p>All rooms <br/>ensuite</p>
										</div>
									</div>
									<div class="col l3 m3 s12">
										<div class="detail-icon">
											<img src="{{asset('img/icons/garage.svg')}}" alt=""> 
											<p>Private parking <br/>lots</p>
										</div>
									</div>
								</div> --}}
								
								
							</div>
				</div>
			</div>
		</div>
			<div class="inn-body-section pad-bot-70">
			<div class="container">
				<div class="row">
					<div class="col l12 m12 s12">
						<div class="property-overview row">
							<h3>Property Video</h3>
							
							<div class="col s12 l12 m12">
								<video controls>  
									<source src="http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/ForBiggerEscapes.mp4" type="video/mp4">
								</video>
							</div>
							<div class="text-center">
								<a href="#" class="btn-property" >Show On Map</a>
							</div>

							

						</div>
					</div>
				</div>
			</div>
		</div>
					



		<div class="inn-body-section pad-bot-50">
			<div class="container">
				<div class="row inn-page-com">
					
					<!--Contact SECTION-->
					<div class="col-md-12">
						<div class="row inn-services in-blog">
							<div class="col-md-6"> 
								<img src="{{asset('img/images/buy-home-lagos.png')}}" alt="buy a home in lagos" />
							</div>
							<div class="col-md-1">
							</div>
							<div class="about-section col-md-5">
								<br/><br/>
								<span class="blog-date">CONTACT US</span> 
								<h3>Have any questions or would like to find out more?</h3> 
								<p>We are helping the busy and hardworking build their homes through installmental payments. Taking the risk off home owner, ensuring quality is not compromised. </p> 
								<a href="#" class="waves-effect waves-light inn-re-mo-btn">Get In Touch</a> </div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="inn-body-section">
			<div class="subscribe-section text-center">
				<h2>Get Updates on New Properties</h2>
				<p>Be one of the first to know about our new projects. <br/>Get information on what we will be working on straight to your inbox</p>
				<form class="text-center">
					<ul class="foot-subsc">
						<div class="row">
							<div class="col-md-6">
								<li>
									<input type="text" placeholder="Enter your email address"> </li>
								</li>
							</div>
							<div class="col-md-6">
								<li>
									<button type="submit" value="submit">Subscibe</button>
								</li>
							</div>
						</div>

						
						
					</ul>
				</form>
			</div>
		</div>

						
	</section>
	<!--END HEADER SECTION-->
@include('layouts.footer')
</body>

</html>